#ifndef ENVCHECK_H
#define ENVCHECK_H

#include <QWidget>
#include "CHttpBll.h"

namespace Ui {
class envCheck;
}

class envCheck : public QWidget
{
    Q_OBJECT
signals:
    void checkUnpass();
    void checkpassed(bool bUpdateVersion);
    void sysUpadte();
public:
    explicit envCheck(QWidget *parent = nullptr);
    ~envCheck();

    void startCheck();
    QStringList unpassList();
private:
    void onSysNotice(CSysNotice sysNotice);
    void onUpgrade(CUpgrade upgrade);
private:
    void initUI();
    void checkProc();

    Ui::envCheck *ui;

    QStringList m_unpasslist;

    QString m_sDenyListFile;

    QStringList m_sCameraList;
    QStringList m_sRemoteList;
    QStringList m_sRemoteTipList;
};

#endif // ENVCHECK_H
